GraphQLmutation ApiUpsertOffer($idempotencyKey: String!, $input: OfferInput!) {
apiUpsertOffer(idempotencyKey: $idempotencyKey, input: $input) {
fulfilmentMode
id
imagePath
organizationId
organizationName {
ar
en
fr
tn
}
priceMillimes
productId
productTitle {
ar
en
fr
tn
}
sellerSku
sku
status
variantId
variantLabel
}
}
curlcurl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"mutation ApiUpsertOffer($idempotencyKey: String!, $input: OfferInput!) { apiUpsertOffer(idempotencyKey: $idempotencyKey, input: $input) { fulfilmentMode id imagePath organizationId organizationName { ar en fr tn } priceMillimes productId productTitle { ar en fr tn } sellerSku sku status variantId variantLabel } }"}'